# this file must be UTF-8 encoded

package document

#######################################################################
# macros set from within the server
#######################################################################

_imagethispage_ {}
_httpprevarrow_ {}
_httpnextarrow_ {}
_pagetitle_ {}
_phindclassifier_ {}
_collageclassifier_ {}

# custom header for individual document
_documentheader_ {} 

#custom css links for individual document
_csslink_{
   <link rel="stylesheet" href="_cssfilelink_" type="text/css" 
    charset="UTF-8"   _linktagend_ 
  <link rel="alternate stylesheet" href="_httpimg_/preview-document.css" 
    type="text/css" 
    title="Preview Document" charset="UTF-8" media="screen"  _linktagend_
   <link rel="stylesheet" href="_httpimg_/print-document.css" type="text/css"
    charset="UTF-8" media="print"  _linktagend_ 
}

#######################################################################
# page content
#######################################################################

_nextsearchresult_ {_If_("_cgiargsrn_" ne "0" ,<div class="nextresult"><a href="_httpquery_&amp;ifl=1&amp;ifln=_cgiargsrn_">_textnextsearchresult_</a></div>,)}

_prevsearchresult_ {_If_("_cgiargsrp_"  ne "0" ,<div class="prevresult"><a href="_httpquery_&amp;ifl=1&amp;ifln=_cgiargsrp_">_textprevsearchresult_</a></div>,) }

_content_ {
_optnavigationbar_

_If_(_phindclassifier__collageclassifier_,
<p style="text-align: center;">
_phindclassifier_
_collageclassifier_
</p>
)

<div class="searchresults">
_prevsearchresult_
_nextsearchresult_
</div>

<div class="document">


}

# Dublin Core Metadata Element Set, Version 1.1
_textTitlepage_ {_texticonhtitle_}
_textCreatorpage_ {_texticonhcreat_}
_textSubjectpage_ {_texticonhsubj_}
_textDescriptionpage_ {_texticonhdesc_}
_textPublisherpage_ {_texticonhpubl_}
_textContributorpage_ {_texticonhcontr_}
_textDatepage_ {_texticonhdate_}
_textTypepage_ {_texticonhtype_}
_textFormatpage_ {_texticonhform_}
_textIdentifierpage_ {_texticonhident_}
_textSourcepage_ {_texticonhsrc_}
_textLanguagepage_ {_texticonhlang_}
_textRelationpage_ {_texticonhrel_}
_textCoveragepage_ {_texticonhcover_}
_textRightspage_ {_texticonhright_}

_textTopage_ {_texticonhto_}
_textFrompage_ {_texticonhfrom_}
_textSeriespage_ {_texticonhser_}
_textHowtopage_ {_texticonhhow_}
_textOrganizationpage_ {_texticonhorg_}
_textBrowsepage_ {_texticonhbrwse_}
_textCollagepage_ {_texticonhcoll_}
_textPeoplepage_ {_texticonhpeople_}
_textAcronympage_ {_texticonhacronym_}
_textPhrasepage_ {_texticonhphrases_}
_textArtistpage_ {_texticonhartist_}
_textKeywordpage_ {_texticonhkw_}
_textVolumepage_ {_texticonhvol_}
_textCaptionspage_ {_texticonhcapt_}
_textCountriespage_ {_texticonhcount_}

#######################################################################
# navigation arrows
#
#######################################################################

# these two may be reset to "" by the server
_navarrowsbottom_ {_navarrows_}
_navarrowstop_ {_navarrows_}

_navarrows_ {<center>
<table width=_pagewidth_ cellpadding=0 cellspacing=0 border=0>
<tr><td align=left valign=top>
_prevarrow_
</td><td align=right valign=top>
_nextarrow_
</td></tr></table>
</center>
}

_prevarrow_ {_If_(_httpprevarrow_,<a href="_httpprevarrow_">_iconprev_</a>)}
_nextarrow_ {_If_(_httpnextarrow_,<a href="_httpnextarrow_">_iconnext_</a>)}

_navarrows_ [v=1] {<p>
_prevarrow_<br>
_nextarrow_
}

#######################################################################
# the goto form
#######################################################################

_gotoform_ {
<form name="GotoForm" method="get" action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="d" value="_cgiargd_">
<input type=hidden name="cl" value="_cgiargcl_">
<input type="text" name="gp" size="3" maxlength="4">
<input type="submit" value="_textgoto_">
</form>
}

_textnumpages_ {&nbsp;<i>(_1_ _pages_)</i>}
_parentarrow_ {}


#######################################################################
# the phind applet
#
# The phind applet is only required on phind classifier pages.
# Consequently, the _phindclassifier_ macro is not usually set.  On screens
# where it is required, _phindclassifier_ resolves to _phindapplet_, and
# the following macro is loaded into the web page.
#######################################################################

_phindapplet_ {
<APPLET CODEBASE="_httpprefix_/bin/java" CODE="org.nzdl.gsdl.Phind.Phind.class" ARCHIVE="Phind.jar" WIDTH=500 HEIGHT=400>
  <PARAM NAME=library      VALUE="_gwcgi_?e=_compressedoptions_">
  <PARAM NAME=phindcgi     VALUE="_gwcgi_?a=phind">
  <PARAM NAME=collection   VALUE="_cgiargc_">
  <PARAM NAME=classifier   VALUE="_phindnumber_">

  <PARAM NAME=orientation  VALUE="vertical">
  <PARAM NAME=depth        VALUE="2">
  <PARAM NAME=resultorder VALUE="L,l,E,e,D,d">

  <PARAM NAME=backdrop     VALUE="_httpimg_/phindbg1.jpg">
  <PARAM NAME=fontsize     VALUE="10">
  <PARAM NAME=blocksize    VALUE="10">

  The Phind java applet.
</APPLET>
}

_collageapplet_ {
 <applet CODEBASE="_httpprefix_/bin/java" 
     code="org.nzdl.gsdl.GsdlCollageApplet.GsdlCollageApplet.class"
     archive="GsdlCollageApplet.jar" 
     width="_collagexdim_" height="_collageydim_">

        <param name="gwcgi" value="_gwcgi_">
        <param name="collection" value="_cgiargc_">
        <param name="classifier" value="_cgiargcl_.1">

        <param name="hrefMustHave" value="cl=_cgiargcl_.1">
        <param name="imageMustNotHave" value="hl=\%x=\%gt=\%gc=\%.pr">

        <param name="imageType" value="_collageimageType_">
        <param name="verbosity" value="_collageverbosity_">
        <param name="maxDepth" value="_collagemaxDepth_">
        <param name="maxDisplay" value="_collagemaxDisplay_">
        <param name="refreshDelay" value="_collagerefreshDelay_">
        <param name="isJava2" value="_collageisJava2_">
        <param name="bgcolor" value="_collagebgcolor_">
        <param name="documentroot" value="_httpimg_">	
 </applet>

<center>
_collagecaption_
</center>

}


#######################################################################
# icons
#######################################################################

_iconsmalltext_ {<img src="_httpiconsmtext_" class="icon" width=_widthsmtext_ height=_heightsmtext_ alt="_texticonsmalltext_" title="_texticonsmalltext_">}
_iconsmalltext_ [v=1] {<small><b>_texticonsmalltext2_</b></small>}

_iconarrowsmalltext_ {<img src="_httpiconasmtext_" class="icon" width=_widthasmtext_ height=_heightasmtext_ alt="_texticonsmalltext_" title="_texticonsmalltext_">}
_iconarrowsmalltext_ [v=1] {<small><b>->_texticonsmalltext2_</b></small>}

_iconclosedfolder_ {<img src="_httpiconclsdfldr_" class="icon" width=_widthclsdfldr_ height=_heightclsdfldr_ alt="_texticonclosedfolder_" title="_texticonclosedfolder_">}
_iconclosedfolder_ [v=1] {<small><b>_texticonclosedfolder2_</b></small>}

_iconarrowclosedfolder_ {<img src=_httpiconaclsdfdr_" class="icon" width=_widthaclsdfdr_ height=_heightaclsdfdr_ alt="_texticonclosedfolder_" title="_texticonclosedfolder_">}
_iconarrowclosedfolder_ [v=1] {<small><b>->_texticonclosedfolder2_</b></small>}

_iconopenfolder_ {<img src="_httpiconopenfldr_" class="icon" width=_widthopenfldr_ height=_heightopenfldr_ alt="_texticonopenfolder_" title="_texticonopenfolder_">}
_iconopenfolder_ [v=1] {<small><b>_texticonopenfolder2_</b></small>}

_iconarrowopenfolder_ {<img src="_httpiconaopenfdr_" class="icon" width=_widthaopenfdr_ height=_heightaopenfdr_ alt="_texticonopenfolder_" title="_texticonopenfolder_">}
_iconarrowopenfolder_ [v=1] {<small><b>->_texticonopenfolder2_</b></small>}

_iconarrowclosedbook_ {<img src="_httpiconabook_" width=_widthabook_ height=_heightabook_ class="icon" alt="_texticonclosedbook_" title="_texticonclosedbook_">}
_iconarrowclosedbook_ [v=1] {<small><b>->_texticonclosedbook_: </b></small>}

_iconopenbook_ {<img src="_httpiconopenbook_" width=_widthopenbook_ height=_heightopenbook_ class="icon" alt="_texticonopenbook_" title="_texticonopenbook_">}
_iconopenbook_ [v=1] {<small><b>_texticonopenbook_: </b></small>}

_iconarrowopenbook_ {<img src="_httpiconaopenbk_" width=_widthaopenbk_ height=_heightaopenbk_ class="icon" alt="_texticonopenbook_" title="_texticonopenbook_">}
_iconarrowopenbook_ [v=1] {<small><b>->_texticonopenbook_: </b></small>}

_iconopenbookshelf_ {<img src="_httpiconbshelf_" class="icon" width=_widthbshelf_ height=_heightbshelf_ alt="_texticonopenbookshelf_" title="_texticonopenbookshelf_">}
_iconopenbookshelf_ [v=1] {<small><b>_texticonopenbookshelf_: </b></small>}

_iconarrowopenbookshelf_ {<img src="_httpiconabshelf_" class="icon" width=_widthabshelf_ height=_heightabshelf_ alt="_texticonopenbookshelf_" title="_texticonopenbookshelf_">}
_iconarrowopenbookshelf_ [v=1] {<small><b>->_texticonopenbookshelf_: </b></small>}

_iconclosedbookshelf_ {<img src="_httpiconbshelf_" class="icon" width=_widthbshelf_ height=_heightbshelf_ alt="_texticonclosedbookshelf_" title="_texticonclosedbookshelf_">}
_iconclosedbookshelf_ [v=1] {<small><b>_texticonclosedbookshelf_: </b></small>}

_iconarrowclosedbookshelf_ {<img src="_httpiconabshelf_" class="icon" width=_widthabshelf_ height=_heightabshelf_ alt="_texticonclosedbookshelf_" title="_texticonclosedbookshelf_">}
_iconarrowclosedbookshelf_ [v=1] {<small><b>->_texticonclosedbookshelf_: </b></small>}

_iconpointer_ {<img src="_httpiconarrrght_" class="icon" width=_widtharrrght_ height=_heightarrrght_>}
_iconpointer_ [v=1] {<small><b>_texticonpointer_-> </b></small>}

_iconwarning_ {<img src="_httpiconwarning_" width="_widthwarning_" height="_heightwarning_" class="icon" align="left">}
_iconwarning_ [v=1] {_texticonwarning_}


#######################################################################
# images
#######################################################################

_docbutton_ {<div class="button"><span class="button" title="_3_"><a href="_1_">_2_</a></span></div>
}

# can't use _docbutton_ macro for detach button as we need to include target
_imagedetach_ {<div class="button"><span class="button"><a href="_httpcurrentdocument_&amp;x=1" target="\_blank" title="_texticondetach_">_textDETACH_</a></span></div>}

_imageprint_{<div class="button"><span class="button"><a href="javascript:print_preview()">_textPRINT_</a></span></div>}


_imagehighlight_ {_docbutton_(_httpcurrentdocument_&amp;hl=1&amp;gc=_cgiarggc_&amp;gt=_cgiarggt_,_textHIGHLIGHT_,_texticonhighlight_)}

_imagenohighlight_ {_docbutton_(_httpcurrentdocument_&amp;hl=0&amp;gc=_cgiarggc_&amp;gt=_cgiarggt_,_document:textNOHIGHLIGHT_,_document:texticonnohighlight_)}

_imagecontracttoc_ {_docbutton_(_httpcurrentdocument_&amp;gc=0,_textCONTRACTCONTENTS_,_texticoncontracttoc_)}

_imageexpandtoc_ {_docbutton_(_httpcurrentdocument_&amp;gc=1,_textEXPANDCONTENTS_,_texticonexpandtoc_)}

_imagecontracttext_ {_docbutton_(_httpcurrentdocument_&amp;gt=0,_textCONTRACT_,_texticoncontracttext_)}

_imageexpandtext_ {_docbutton_(_httpcurrentdocument_&amp;gt=1,_textEXPANDTEXT_,_texticonexpandtext_)}

_imagecont_ {_docbutton_(_httpcurrentdocument_&amp;gt=2,_textCONTINUE_,_texticoncont_)}


#######################################################################
# print preview script
#######################################################################


_pagescriptextra_{

 var style_display_old;
 var show = true;
 var toc_top;

 function has_toc(){
     var div_nodes = document.getElementsByTagName("div");    
     for (var i=0;i < div_nodes.length ; i++ )\{
          var div_node = div_nodes[i];
          if (div_node.className =="toc" && div_node.childNodes.length > 1)
             \{
                 return true;
             \}
      \}
   
    return false;
 \}

 function hide_toc()\{
     var div_nodes = document.getElementsByTagName("div");    
     for (var i=0;i < div_nodes.length ; i++ )\{
          var div_node = div_nodes[i];
          if (div_node.className =="toc")
             \{
               style_display_old = div_node.style.display; 
               toc_top = document.getElementById("toc_top"); 
               if (toc_top)
                div_node.parentNode.insertBefore(toc_top,div_node);
                div_node.style.display = "none";
             \};
      \}  

 \}  


 function show_toc()\{
  
     var div_nodes = document.getElementsByTagName("div");    
     for (var i=0;i < div_nodes.length ; i++ )\{
          var div_node = div_nodes[i];
          if (div_node.className =="toc")
             \{
               div_node.style.display = style_display_old;
               if (toc_top)
                  div_node.insertBefore(toc_top,div_node.firstChild);    
              \}; 
      \}

 \}  

  
  function switch_toc()\{
     var toc_link =  document.getElementById("toc_link");
       while (toc_link.hasChildNodes()) \{
       	  toc_link.removeChild(toc_link.firstChild);
	\}  
    if (show)\{
        toc_link.appendChild(document.createTextNode('_textshowcontents_'));
        show = false;
        hide_toc(); 
    \}
  else\{
       toc_link.appendChild(document.createTextNode('_texthidecontents_'));
      show = true;
      show_toc();
    \}

  \}
    
  function print_preview() \{
   // Switch the stylesheet
    setActiveStyleSheet("Preview Document");
    add_print_message(); 
  \}

  function add_print_message()\{
     if (document.getElementById)\{
        var print_message = document.createElement('ul');
	    print_message.id = 'print-message'; 
            print_message.className = "printmessage";  
        
         var cancel_print_link = document.createElement('li');
         cancel_print_link.className = "cancelprint"
         cancel_print_link.onclick = function()\{ cancel_print(); return false;\}; 
         cancel_print_link.appendChild(document.createTextNode('_textreturnoriginal_'));
          print_message.appendChild(cancel_print_link);  

          
           var print_link = document.createElement('li');
           print_link.onclick = function()\{ window.print(); return false;\};
           print_link.appendChild(document.createTextNode('_textprintpage_'));
           print_message.appendChild(print_link); 

    if (has_toc())\{  
	  var toc_link = document.createElement('li');
          toc_link.id = "toc_link";
          toc_link.onclick = function()\{ switch_toc(); return false;\};
          toc_link.appendChild(document.createTextNode('_texthidecontents_'));                 
          print_message.appendChild(toc_link);   
         \}

         //insert the print message node
         var div_nodes = document.getElementsByTagName("div");    
         for (var i=0;i < div_nodes.length ; i++ )\{
            var div_node = div_nodes[i];
             if (div_node.className =="document")\{         
                 var parent = div_node.parentNode;
                 parent.insertBefore(print_message,div_node);
           \}
        \}
     \}

  \}
  
 
 function cancel_print() \{
	// Destroy the preview message 
   var print_message = document.getElementById('print-message');
   var parent = print_message.parentNode;
   parent.removeChild(print_message);
	
    show_toc();
    // Switch back stylesheet
    setActiveStyleSheet("default");
  \}

 function setActiveStyleSheet(title) \{
    var i, a, main;
    for(i=0; (a = document.getElementsByTagName("link")[i]); i++) \{
      if(a.getAttribute("rel").indexOf("style") != -1
         && a.getAttribute("title")) \{
        a.disabled = true;
        if(a.getAttribute("title") == title) a.disabled = false;
    \}
   \ }
  \}

}


#######################################################################
# headers/footers
#######################################################################


# header overridden for text pages
_textheader_ {_cgihead_
_htmlhead_
_startspacer_

<!-- document:textheader -->
<div id="banner">
<div class="pageinfo"><p class="bannerlinks">_globallinks_</p></div>
<div class="collectimage">_imagecollection_</div>
</div>
<div class="bannerextra">_pagebannerextra_</div>
}

_textheader_ [v=1] {_cgihead_
_htmlhead_
_globallinks_
}

_footer_ {
</div> <!-- document:footer -->

<div class="navarrowsbottom">
_navarrowsbottom_
</div>
_endspacer__htmlfooter_
}
